Subject: Re: [PATCH 1/3] net: hisilicon: hip04: fix OF node leak in probe()

From: Simon Horman <[email-masked]>
Date: Tue, 27 Aug 2024 15:40:10 +0100

On Sun, Aug 25, 2024 at 09:21:31PM +0200, Markus Elfring wrote:
> > Driver is leaking OF node reference from
> > of_parse_phandle_with_fixed_args() in probe().
> 
> * Is there a need to improve such a change description another bit?
> 
>   + Imperative mood
> 
>   * Tags like “Fixes” and “Cc”

I think it would be helpful if these were either explicitly targeted for
net-next without Fixes tags (the assumed state of affairs as-is).

	Subject: [Patch x/n net-next] ...

Or targeted at net, with Fixes tags

	Subject: [Patch x/n net] ...

I guess that in theory these are fixes, as resource leaks could occur.
But perhaps that is more theory that practice. I am unsure.

> * Can a corresponding cover letter help?

I agree that would be nice, it's the usual practice for Networking
patchsets with more than one patch.

The above aside, I looked over the code changes
and I agree they are correct.